Support » Plugin: Facebook for WooCommerce » Facebook for WooCommerce version 2.1.0 killed my site

  • Resolved laasio

    (@laasio)


    After the latest 2.1.0 update my site is down ad I can’t even access the WP built in recovery mode for some reason. Nicely done…

    The page I need help with: [log in to see the link]

Viewing 15 replies - 1 through 15 (of 22 total)
  • laasio

    (@laasio)

    public_html/wp-content/plugins/facebook-for-woocommerce/includes/Products.php on row 1181 was detected an error E_PARSE. Error message: syntax error, unexpected ‘)’

    gigio2k

    (@gigio2k)

    Mine too

    Centos 7 + Nginx 1.16.1 + Php 7.2.34

    • This reply was modified 1 month ago by gigio2k.
    laasio

    (@laasio)

    kontinyu

    (@kontinyu)

    Same here. The fix does not work for me!

    • This reply was modified 1 month ago by kontinyu.
    Boris

    (@ispacecrusader)

    Same problem here. I reverted to version 2.0.5 for now, that works fine. Hopefully an update to fix this will be released soon.

    Gilles

    (@alizesonline)

    Same problem for my clients websites. I had to revert to the previous version.
    Expecting a patch as soon as possible.

    magnetischekabels

    (@magnetischekabels)

    Same here

    craigpaulin

    (@craigpaulin)

    and mine, same error

    coatsy35

    (@coatsy35)

    Me too. Completely kills the site, can’t access it. Removed Facebook plugin from my plugins directory and all is working, drop it back in and site goes down again. Currently removed until this is fixed.

    webic

    (@webic)

    Same Problem…

    NoemiNL

    (@noeminl)

    Also killed a customers site!

    Also for me, i had to delete plugin folder via FTP.
    Any solution / update?

    Same problem on multistore … very bad release

    where is the missing “)” inside /includes/products.php, everything looks ok the php code

    Plugin Support maxphi

    (@maxphi)

    Hello all,

    Apologies for this and thank you for flagging it. We’re pushing a new version (2.1.1) shortly. As Laasio flagged above, Brandon found that the issue is trailing commas that aren’t supported in PHP versions 7.2 and under ( https://wordpress.org/support/topic/php-7-2-syntax-errors-in-2-1-0-update).

    I was able to find 3, the two Brandon flagged and one on line 84 of includes/Admin/Enhanced_Catalog_Attribute_Fields.php.

    The argument lists on those lines finish with commas. This is a common coding practise if the argument list spans multiple lines. However it has only been supported by PHP recently. So you need to delete the commas at the end of the lines in the files flagged by Brandon and then save the file. Or delete the plugin and re-download when 2.1.1 becomes available

    Thank you and sorry again

Viewing 15 replies - 1 through 15 (of 22 total)
  • You must be logged in to reply to this topic.